
Redmine - Defect #6045

Repository file Diff view sometimes shows more than selected file

2010-08-05 19:35 - Joshua Masek

Status: Closed Start date: 2010-08-05

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

I think this is related to issue #4186

You can actually reproduce by using issue #4186:

go to issue #4186

click on Revision 3028 in the Associated Revisions section, or just click this link: 

http://www.redmine.org/projects/redmine/repository/revisions/3028

then click on the first "diff" line, or just click this link: 

http://www.redmine.org/projects/redmine/repository/revisions/3028/diff/trunk/lib/redmine/unified_diff.rb

so far so good, it looks correct

if you swap the "inline" "side by side" setting, then it shows additionally files instead of just the one file

Associated revisions

Revision 3939 - 2010-08-13 08:09 - Jean-Baptiste Barth

Fixed: changing view style in repository/diff doesn't keep previously selected file. #6045

History

#1 - 2010-08-12 18:31 - Marc Mengel

Just to be more specific, this is due to the wrong URI in the action= of the <form> around the inline/side-by-side selection.  It is missing the file

pathname part.

#2 - 2010-08-12 19:49 - Marc Mengel

- File diff_format.patch added

- % Done changed from 0 to 50

Here's a patch for it...

#3 - 2010-08-13 05:21 - Mischa The Evil

- Target version set to 1.0.1

- Affected version (unused) changed from 1.0.0-RC to devel

@ Marc: Thanks for your contribution. Sadly the patch-file seems to be broken somehow but nevertheless I have extracted the change locally...

It includes a one-line change of source:/trunk/app/views/repositories/diff.rhtml@3938#L4

from:

<% form_tag({}, :method => 'get') do %>

 to

<% form_tag(request.request_uri, :method => 'get') do %>

 I have tested this tiny patch and it fixed the issue for me too. Dunno for sure though if this is the right way to fix this issue most effectively. I'll leave

that up to the commiters.

I've targetted this issue for Redmine 1.0.1 since it seems it can be fixed easily. Please retarget if time is missing to include this for 1.0.1...

I've also set the affected version to devel since it's still broken in the trunk too.
#4 - 2010-08-13 07:38 - Jean-Baptiste Barth

- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

- Priority changed from Low to Normal

I don't really like the idea of using request.request_uri, it could introduce weird bugs, but I'll take a look at this one. I confirm it could be the kind of

defect we want to address in 1.0.1, but I don't know when Eric wants to stop adding issues for this one (due date is in 7 days!).

Thanks for the patch and your investigations on that.

#5 - 2010-08-13 08:08 - Jean-Baptiste Barth

- Status changed from 7 to Resolved

- % Done changed from 50 to 100

- Resolution set to Fixed

It was just missing path information, fixed in r3939

#6 - 2010-08-19 06:35 - Eric Davis

- Status changed from Resolved to Closed

Merged to 1.0-stable for release in 1.0.1.

Files

diff_format.patch 990 Bytes 2010-08-12 Marc Mengel
